Scilab Function
Last update : April 1993

sci2exp - convertit une expression ou une instruction d'affectation en une chaîne

### Calling Sequence

  `t=sci2exp(a [,nam] [,lmax])`

### Parameters

- `a` : une expression Scilab de type
- `nam` : chaîne de caractères
- `t` : vecteur de chaînes de caractères, contenant l'instruction ou l'expression
- `lmax` : entier, longueur maximum d'une ligne (90 par défaut. `lmax=0` signifie qu'il n'y pas de contrôle de taille, et `sci2exp` ne renvoie dans ce cas qu'une seule ligne).

### Description

`sci2exp` évalue une expression et renvoie le résultat dans une chaîne de caractères. Si `nam` est précisé, la chaîne contient une instruction d'affectation de ce résultat à la variable dont le nom est donné dans `nam`.

### Examples

      a=[1 2;3 4]
      sci2exp(a,'aa')
      sci2exp(a,'aa',0)
      sci2exp(ssrand(2,2,2))
      sci2exp(poly([1 0 3 4],'s'),'fi')